﻿//--------------------------------------------------------------------------------

//                                Using ADO 2.0 Datasources 
//                                        Created 3/30/09
//                                           Ron Kessler



//--------------------------------------------------------------------------------

//UPDATED 4/1/09


//This app uses a dropdown to show customer names. When we pick on (use C.Weed or Joe Tran)
//the history of their purchases show up in the grid.

//---add these
using System.Data;
using System.Data.SqlClient;
using System.Configuration;



using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        SelectCustomer();
    }

    protected void SelectCustomer()
    {
        //---by using the the DataSource Class, we do not need Connection Objects, DataAdapter, or DataSet controls
        if(! IsPostBack)
        {
            try
            {
                string connString = System.Configuration.ConfigurationManager.ConnectionStrings["customers-05"].ConnectionString;

                SqlDataSource dsCustomers = new SqlDataSource();

                dsCustomers.ConnectionString = connString;
                dsCustomers.DataSourceMode = SqlDataSourceMode.DataReader;
                dsCustomers.SelectCommand = "Select * From Customers ORDER BY Name";
               
               ddlNames.DataSource = dsCustomers;
               ddlNames.DataTextField = "Name";
               ddlNames.DataValueField = "CustID";
               ddlNames.AutoPostBack = true;
               

               //---make it so!
                ddlNames.DataBind();
            }
            catch 
            {
               Response.Redirect("errorpage.aspx");
            }
            
        }
        

    }

    protected void FillMyGrid()
    {
         string  connString = ConfigurationManager.ConnectionStrings["customers-05"].ConnectionString;
         SqlDataSource  myDataSource = new SqlDataSource();

        myDataSource.ConnectionString = connString;
        myDataSource.DataSourceMode = SqlDataSourceMode.DataSet;
        myDataSource.SelectCommand = "SELECT * FROM Orders WHERE CustID = @CustID";
        myDataSource.SelectParameters.Add("CustID", ddlNames.SelectedValue);
        myDataSource.DataBind();
        


        GridView1.AutoGenerateColumns = true;
        GridView1.DataSource = myDataSource;
        GridView1.AllowSorting = true;
        GridView1.AllowPaging = true;
        GridView1.Caption = "Customer Orders Summary";
        GridView1.CaptionAlign = TableCaptionAlign.Top;
        GridView1.DataBind();
        

        }
    protected void ddlNames_SelectedIndexChanged(object sender, EventArgs e)
    {
        FillMyGrid();
    }
}
